User contributions feed should match index.php feed format (diff etc.)
Open, HighPublic


Author: wempwer

User contributions feeds such as should only display changes that user introduced to the page. Currently it display all text on the page what does not make any sense at all.

Version: unspecified
Severity: normal
See Also:


bzimport raised the priority of this task from to High.
bzimport set Reference to bz41085.
bzimport created this task.Oct 16 2012, 3:14 PM


wempwer wrote:

Two weeks and still not reply. Isn't this bug important enough?

wempwer: Thanks for the report. You did receive a reply in comment 1. Priority has been set to High but not to Highest as manpower is unfortunately limited. For faster progress patches are always welcome, if that's an option.

durgasubramanian94 wrote:

I am interested in working on this bug, can somebody please assign it to me?

Durga: You claimed this bug in December. Are you (still) working on this? If not, please reset the assignee to default and the status to NEW. Thanks!

durgasubramanian94 wrote:

I am still working on it. Sorry for the delay.

For those not accustomed to the feeds, the problem is easily seen by comparing to &feed=atom&action=history :

In particular the good feed has the diff in <summary> and a link to it in <link>.

Currently api.php?action=feedcontributions is close to useless.

After by Robin, the feed items link the diff, but the content is still the whole page (just tested on

This bug is equivalent to bug 10268 (concerning the watchlist feed). These two bugs should probably be fixed in the same way.

Probably 10268 is a duplicate of this one, or vice-versa.

  • Bug 17565 has been marked as a duplicate of this bug. ***

Change 143904 had a related patch set uploaded by Rohan013:
FeedContributions now shows diffs instead of whole articles.

Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Feb 19 2015, 7:27 PM
Symac added a subscriber: Symac.Jan 27 2016, 11:06 AM

I have found this bug while searching if it was already reported and from what I understand (not very used to phabricator/gerrit, sorry if I am wrong) a patch has been submitted 18 months ago and the last comment from September seems to conclude that it needs more discussion. Is there any plan to have this discussion?

If I can give some input, I had cancelled my RSS feeds to user's contribution as getting the whole article instead of the diff proved to be useless and seemed to me to be a bug but I had never taken time to report it and had just unsubscribed from the feeds. Some days ago I tried again with Special:RecentChangesLinked and discovered it was now showing the tab in a diff, proving to be useful and was hoping it to be the same for user's contributions, which does not seem to be the case (yet?). So as a user of this feature, I can just confirm that having it showing the diff (even if that means having an extra parameter to add to the url) would definitely be a good news! (sorry if it is not the best place to report that, please point me to the correct place if needed).


The patch in needs rework, as per comments in Gerrit.
Anybody is welcome to improve the patch so an updated version can get reviewed again (and hopefully merged).

@rohan013: Are you still working on this (as you are set as task assignee) and plan to improve the patch?

wctaiwan removed a subscriber: wctaiwan.Apr 23 2016, 7:09 PM
Anomie moved this task from Needs Review to In Dev on the MediaWiki-API board.
saper added a subscriber: saper.Jan 28 2018, 6:53 PM